## linux 3.16.56

=== Makefile ===
VERSION = 3
PATCHLEVEL = 16
SUBLEVEL = 56
EXTRAVERSION =
NAME = Museum of Fishiegoodies

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

# Fake the "Entering directory" message once, so that IDEs/editors are
# able to understand relative filenames.
       echodir := @echo
 quiet_echodir := @echo
silent_echodir := @:
sub-make: FORCE
	$($(quiet)echodir) "make[1]: Entering directory \`$(KBUILD_OUTPUT)'"
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

ifneq ($(CC),)
ifeq ($(shell $(CC) -v 2>&1 | grep -c "clang version"), 1)
COMPILER := clang
else
COMPILER := gcc
endif
export COMPILER
endif

# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated \

=== fs/nfs/Makefile ===
#
# Makefile for the Linux nfs filesystem routines.
#

obj-$(CONFIG_NFS_FS) += nfs.o

CFLAGS_nfstrace.o += -I$(src)
nfs-y 			:= client.o dir.o file.o getroot.o inode.o super.o \
			   direct.o pagelist.o read.o symlink.o unlink.o \
			   write.o namespace.o mount_clnt.o nfstrace.o
nfs-$(CONFIG_ROOT_NFS)	+= nfsroot.o
nfs-$(CONFIG_SYSCTL)	+= sysctl.o
nfs-$(CONFIG_NFS_FSCACHE) += fscache.o fscache-index.o

obj-$(CONFIG_NFS_V2) += nfsv2.o
nfsv2-y := nfs2super.o proc.o nfs2xdr.o

obj-$(CONFIG_NFS_V3) += nfsv3.o
nfsv3-y := nfs3super.o nfs3client.o nfs3proc.o nfs3xdr.o
nfsv3-$(CONFIG_NFS_V3_ACL) += nfs3acl.o

obj-$(CONFIG_NFS_V4) += nfsv4.o
CFLAGS_nfs4trace.o += -I$(src)
nfsv4-y := nfs4proc.o nfs4xdr.o nfs4state.o nfs4renewd.o nfs4super.o nfs4file.o \
	  delegation.o idmap.o callback.o callback_xdr.o callback_proc.o \
	  nfs4namespace.o nfs4getroot.o nfs4client.o nfs4session.o \
	  dns_resolve.o nfs4trace.o
nfsv4-$(CONFIG_NFS_USE_LEGACY_DNS) += cache_lib.o
nfsv4-$(CONFIG_SYSCTL)	+= nfs4sysctl.o
nfsv4-$(CONFIG_NFS_V4_1)	+= pnfs.o pnfs_dev.o

obj-$(CONFIG_PNFS_FILE_LAYOUT) += filelayout/
obj-$(CONFIG_PNFS_OBJLAYOUT) += objlayout/
obj-$(CONFIG_PNFS_BLOCK) += blocklayout/

=== arch/arm/mach-berlin/Makefile ===
obj-y += berlin.o

=== arch/arm64/mm/Makefile ===
obj-y				:= dma-mapping.o extable.o fault.o init.o \
				   cache.o copypage.o flush.o \
				   ioremap.o mmap.o pgd.o mmu.o \
				   context.o proc.o
obj-$(CONFIG_HUGETLB_PAGE)	+= hugetlbpage.o

=== arch/arm64/kernel/vdso/Makefile ===
#
# Building a vDSO image for AArch64.
#
# Author: Will Deacon <will.deacon@arm.com>
# Heavily based on the vDSO Makefiles for other archs.
#

obj-vdso := gettimeofday.o note.o sigreturn.o

# Build rules
targets := $(obj-vdso) vdso.so vdso.so.dbg
obj-vdso := $(addprefix $(obj)/, $(obj-vdso))

ccflags-y := -shared -fno-common -fno-builtin
ccflags-y += -nostdlib -Wl,-soname=linux-vdso.so.1 \
		$(call cc-ldoption, -Wl$(comma)--hash-style=sysv)

# Workaround for bare-metal (ELF) toolchains that neglect to pass -shared
# down to collect2, resulting in silent corruption of the vDSO image.
ccflags-y += -Wl,-shared

obj-y += vdso.o
extra-y += vdso.lds vdso-offsets.h
CPPFLAGS_vdso.lds += -P -C -U$(ARCH)

# Force dependency (incbin is bad)
$(obj)/vdso.o : $(obj)/vdso.so

# Link rule for the .so file, .lds has to be first
$(obj)/vdso.so.dbg: $(src)/vdso.lds $(obj-vdso)
	$(call if_changed,vdsold)

# Strip rule for the .so file
$(obj)/%.so: OBJCOPYFLAGS := -S
$(obj)/%.so: $(obj)/%.so.dbg FORCE
	$(call if_changed,objcopy)

# Generate VDSO offsets using helper script
gen-vdsosym := $(srctree)/$(src)/gen_vdso_offsets.sh
quiet_cmd_vdsosym = VDSOSYM $@
define cmd_vdsosym
	$(NM) $< | $(gen-vdsosym) | LC_ALL=C sort > $@ && \
	cp $@ include/generated/
endef

$(obj)/vdso-offsets.h: $(obj)/vdso.so.dbg FORCE
	$(call if_changed,vdsosym)

# Assembly rules for the .S files
$(obj-vdso): %.o: %.S FORCE
	$(call if_changed_dep,vdsoas)

# Actual build commands
quiet_cmd_vdsold = VDSOL $@
      cmd_vdsold = $(CC) $(c_flags) -Wl,-n -Wl,-T $^ -o $@
quiet_cmd_vdsoas = VDSOA $@
      cmd_vdsoas = $(CC) $(a_flags) -c -o $@ $<

# Install commands for the unstripped file
quiet_cmd_vdso_install = INSTALL $@
      cmd_vdso_install = cp $(obj)/$@.dbg $(MODLIB)/vdso/$@

vdso.so: $(obj)/vdso.so.dbg
	@mkdir -p $(MODLIB)/vdso
	$(call cmd,vdso_install)

vdso_install: vdso.so

=== debian/changelog ===
linux (3.16.56-1+deb8u1) jessie-security; urgency=high

  [ Ben Hutchings ]
  * [mipsel] Apply the Loongson-3 part of "Respect the ISA level in FCSR
    handling" (fixes FTBFS)
  * tun: allow positive return values on dev_get_valid_name() call
    (Closes: #897427, regression in 3.16.56-1)
  * [x86] microcode: Fix accessing dis_ucode_ldr on 32-bit
  * [x86] microcode: Do not load when running on a hypervisor
    (Closes: #898067, regression in 3.16.56-1)
  * sctp: Fix mangled IPv4 addresses on a IPv6 listening socket
    (Closes: #898100, regression in 3.16.56-1)
  * [x86] traps: Enable DEBUG_STACK after cpu_init() for TRAP_DB/BP

  [ Salvatore Bonaccorso ]
  * [x86] x86/entry/64: Don't use IST entry for #BP stack (CVE-2018-8897)
  * [x86] kvm: fix icebp instruction handling (CVE-2018-1087)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 08 May 2018 16:11:04 +0100

linux (3.16.56-1) jessie-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.52
    - iwlwifi: mvm: use IWL_HCMD_NOCOPY for MCAST_FILTER_CMD
    - cifs: check rsp for NULL before dereferencing in SMB2_open
    - HID: i2c-hid: allocate hid buffers for real worst case
    - spi: uapi: spidev: add missing ioctl header
    - scsi: lpfc: Don't return internal MBXERR_ERROR code from probe function
    - uwb: ensure that endpoint is interrupt
    - uwb: properly check kthread_run return value (CVE-2017-16526)
    - usb: Increase quirk delay for USB devices
    - xhci: fix finding correct bus_state structure for USB 3.1 hosts
    - usb: pci-quirks.c: Corrected timeout values used in handshake
    - ip6_gre: skb_push ipv6hdr before packing the header in ip6gre_header
    - [s390*] mm: fix write access check in gup_huge_pmd()
    - gpio: acpi: work around false-positive -Wstring-overflow warning
    - tracing: Erase irqsoff trace with empty write
    - tracing: Fix trace_pipe behavior for instance traces
    - tcp: fastopen: fix on syn-data transmit failure
    - [powerpc*] sysrq: Fix oops whem ppmu is not registered
    - usb: gadget: dummy: fix nonsensical comparisons
    - cifs: release cifs root_cred after exit_cifs
    - cifs: release auth_key.response for reconnect.
    - SMB: Validate negotiate (to protect against downgrade) even if signing off
    - [powerpc*] pseries: Fix parent_dn reference leak in add_dt_node()
    - net_sched: always reset qdisc backlog in qdisc_reset()
    - Input: uinput - avoid FF flush when destroying device
    - Input: uinput - avoid crash when sending FF request to device going away
    - usb-storage: fix bogus hardware error messages for ATA pass-thru devices
    - usb-storage: unusual_devs entry to fix write-access regression for
      Seagate external drives
    - USB: gadgetfs: fix copy_to_user while holding spinlock
    - USB: gadgetfs: Fix crash caused by inadequate synchronization
    - USB: g_mass_storage: Fix deadlock when driver is unbound
    - IB/ocrdma: fix incorrect fall-through on switch statement
    - SMB3: Don't ignore O_SYNC/O_DSYNC and O_DIRECT flags
    - iio: core: Return error for failed read_reg
    - KEYS: fix cred refcount leak in request_key_auth_new()
    - KEYS: don't revoke uninstantiated key in request_key_auth_new()
    - KEYS: fix key refcount leak in keyctl_assume_authority()
    - KEYS: fix key refcount leak in keyctl_read_key()
    - KEYS: fix writing past end of user-supplied buffer in keyring_read()
    - KEYS: prevent creating a different user's keyrings
    - IB/mlx5: Fix the size parameter to find_first_bit
    - IB/mlx5: Simplify mlx5_ib_cont_pages
    - security/keys: properly zero out sensitive key material in big_key
    - PCI: Fix race condition with driver_override
    - Btrfs: fix incorrect {node,sector}size endianness from BTRFS_IOC_FS_INFO
    - btrfs: prevent to set invalid default subvolid
    - [x86] drm/i915/bios: ignore HDMI on port A
    - vti: fix use after free in vti_tunnel_xmit/vti6_tnl_xmit
    - l2tp: fix race condition in l2tp_tunnel_delete
    - netfilter: ipset: pernet ops must be unregistered last
    - vfs: Return -ENXIO for negative SEEK_HOLE / SEEK_DATA offsets
    - [arm64] Make sure SPsel is always set
    - Revert "IB/ipoib: Update broadcast object if PKey value was changed in
      index 0"
    - USB: dummy-hcd: fix connection failures (wrong speed)
    - USB: dummy-hcd: fix infinite-loop resubmission bug
    - USB: gadgetfs, dummy-hcd, net2280: fix locking for callbacks
    - USB: dummy-hcd: Fix erroneous synchronization change
    - packet: only test po->has_vnet_hdr once in packet_snd
    - sched/sysctl: Check user input value of sysctl_sched_time_avg
    - [arm64] fault: Route pte translation faults via do_translation_fault
    - staging: iio: ade7759: fix signed extension bug on shift of a u8
    - ipv4: fix broadcast packets reception
    - IPv4: early demux can return an error code
    - udp: perform source validation for mcast early demux
    - l2tp: fix l2tp_eth module loading
    - brcmfmac: Add length checks on firmware events
    - brcmfmac: Add check for short event packets
    - ALSA: usx2y: Suppress kernel warning at page allocation failures
    - scsi: sd: Implement blacklist option for WRITE SAME w/ UNMAP
    - mm/memory_hotplug: change pfn_to_section_nr/section_nr_to_pfn macro to
      inline function
    - mm/memory_hotplug: define find_{smallest|biggest}_section_pfn as unsigned
      long
    - lsm: fix smack_inode_removexattr and xattr_getsecurity memleak
    - nl80211: Define policy for packet pattern attributes
    - netfilter: x_tables: avoid stack-out-of-bounds read in
      xt_copy_counters_from_user
    - ALSA: seq: Fix copy_from_user() call inside lock
    - udp: fix bcast packet reception
    - workqueue: replace pool->manager_arb mutex with a flag
    - crypto: shash - Fix zero-length shash ahash digest crash
    - direct-io: Prevent NULL pointer access in submit_page_section
    - vfs: more bio_map_user_iov() leak fixes


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper, cpio, kmod, python, python-six, lzma [armel], kernel-wedge, quilt, patchutils, bc, gcc-4.8 [alpha arm64 armel armhf hppa m68k mips mipsel mips64 mips64el powerpcspe ppc64el s390 s390x sh4 sparc sparc64], gcc-4.9 (>= 4.9.2-10+deb7u1) [amd64 i386], gcc-4.9 (<< 4.9.2-11) [amd64 i386], binutils-hppa64 [hppa], gcc-4.8-hppa64 [hppa], gcc-4.6 [ia64], gcc-4.8 (>= 4.8.2-21) [powerpc ppc64]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git
Homepage: https://www.kernel.org/

Package: linux-source-3.16
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.16 with Debian patches
 This package provides source code for the Linux kernel version 3.16. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.16
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.16
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.16.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.16/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.16
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.16
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.16.0-6
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}, python-six
Description: Support files for Linux 3.16
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel or1k powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.16.0-6-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.16.0-6-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.16.0-6-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.16.0-6-alpha-generic (= ${binary:Version}), linux-headers-3.16.0-6-alpha-smp (= ${binary:Version})
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: kernel-image
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: nic-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, nic-shared-modules-3.16.0-6-alpha-generic-di, core-modules-3.16.0-6-alpha-generic-di, crc-modules-3.16.0-6-alpha-generic-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: nic-wireless-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, nic-shared-modules-3.16.0-6-alpha-generic-di, core-modules-3.16.0-6-alpha-generic-di, usb-modules-3.16.0-6-alpha-generic-di, pcmcia-modules-3.16.0-6-alpha-generic-di, crc-modules-3.16.0-6-alpha-generic-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: nic-shared-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: serial-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, pcmcia-modules-3.16.0-6-alpha-generic-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: usb-serial-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, usb-modules-3.16.0-6-alpha-generic-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: ppp-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, serial-modules-3.16.0-6-alpha-generic-di, zlib-modules-3.16.0-6-alpha-generic-di, crc-modules-3.16.0-6-alpha-generic-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: pata-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, ata-modules-3.16.0-6-alpha-generic-di, scsi-core-modules-3.16.0-6-alpha-generic-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: cdrom-core-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, scsi-core-modules-3.16.0-6-alpha-generic-di, isofs-modules-3.16.0-6-alpha-generic-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: scsi-core-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: scsi-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, scsi-core-modules-3.16.0-6-alpha-generic-di, cdrom-core-modules-3.16.0-6-alpha-generic-di, core-modules-3.16.0-6-alpha-generic-di, ata-modules-3.16.0-6-alpha-generic-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: scsi-common-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-common-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, scsi-core-modules-3.16.0-6-alpha-generic-di, cdrom-core-modules-3.16.0-6-alpha-generic-di
Description: Very common SCSI drivers
 This package contains very common SCSI drivers for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: scsi-extra-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-extra-modules
Depends: scsi-modules-3.16.0-6-alpha-generic-di, scsi-core-modules-3.16.0-6-alpha-generic-di
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.  This includes
 SCSI RAID drivers, and some of the less common SCSI controllers.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: loop-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: btrfs-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: btrfs-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, core-modules-3.16.0-6-alpha-generic-di, crc-modules-3.16.0-6-alpha-generic-di, zlib-modules-3.16.0-6-alpha-generic-di, md-modules-3.16.0-6-alpha-generic-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: ext4-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di, core-modules-3.16.0-6-alpha-generic-di, crc-modules-3.16.0-6-alpha-generic-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

Package: isofs-modules-3.16.0-6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-3.16.0-6-alpha-generic-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.
Kernel-Version: 3.16.0-6-alpha-generic
Package-Type: udeb

## linux 3.16.57

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 3
 PATCHLEVEL = 16
-SUBLEVEL = 56
+SUBLEVEL = 57
 EXTRAVERSION =
 NAME = Museum of Fishiegoodies

=== drivers/staging/unisys/visorutil/Makefile ===
#
# Makefile for Unisys timskmod
#

obj-$(CONFIG_UNISYS_VISORUTIL)	+= visorutil.o

visorutil-y := charqueue.o  easyproc.o  periodic_work.o  procobjecttree.o  \
		memregion_direct.o visorkmodutils.o

ccflags-y += -Idrivers/staging/unisys/include
ccflags-y += -DCONFIG_SPAR_GUEST -DGUESTDRIVERBUILD -DNOAUTOVERSION

=== drivers/net/ethernet/atheros/atl1c/Makefile ===
obj-$(CONFIG_ATL1C) += atl1c.o
atl1c-objs := atl1c_main.o atl1c_hw.o atl1c_ethtool.o

=== drivers/video/fbdev/omap2/displays-new/Makefile ===
obj-$(CONFIG_DISPLAY_ENCODER_TFP410) += encoder-tfp410.o
obj-$(CONFIG_DISPLAY_ENCODER_TPD12S015) += encoder-tpd12s015.o
obj-$(CONFIG_DISPLAY_CONNECTOR_DVI) += connector-dvi.o
obj-$(CONFIG_DISPLAY_CONNECTOR_HDMI) += connector-hdmi.o
obj-$(CONFIG_DISPLAY_CONNECTOR_ANALOG_TV) += connector-analog-tv.o
obj-$(CONFIG_DISPLAY_PANEL_DPI) += panel-dpi.o
obj-$(CONFIG_DISPLAY_PANEL_DSI_CM) += panel-dsi-cm.o
obj-$(CONFIG_DISPLAY_PANEL_SONY_ACX565AKM) += panel-sony-acx565akm.o
obj-$(CONFIG_DISPLAY_PANEL_LGPHILIPS_LB035Q02) += panel-lgphilips-lb035q02.o
obj-$(CONFIG_DISPLAY_PANEL_SHARP_LS037V7DW01) += panel-sharp-ls037v7dw01.o
obj-$(CONFIG_DISPLAY_PANEL_TPO_TD028TTEC1) += panel-tpo-td028ttec1.o
obj-$(CONFIG_DISPLAY_PANEL_TPO_TD043MTEA1) += panel-tpo-td043mtea1.o
obj-$(CONFIG_DISPLAY_PANEL_NEC_NL8048HL11) += panel-nec-nl8048hl11.o

=== debian/changelog ===
linux (3.16.57-2) jessie-security; urgency=high

  * mmc/host: Ignore ABI changes (fixes FTBFS on armhf)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 14 Jul 2018 20:36:13 +0100

linux (3.16.57-1) jessie-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.57
    - cifs: empty TargetInfo leads to crash on recovery (CVE-2018-1066)
    - ext4: add validity checks for bitmap block numbers (CVE-2018-1093)
    - ext4: fix bitmap position validation
    - dccp: check sk for closed state in dccp_sendmsg() (CVE-2018-1130)
    - cdrom: information leak in cdrom_ioctl_media_changed() (CVE-2018-10940)
    - [x86] cpu: Update CPU model names
    - [x86] Add support for speculation control:
      + x86/cpufeatures: Add Intel feature bits for Speculation Control
      + x86/cpufeatures: Add AMD feature bits for Speculation Control
      + x86/msr: Add definitions for new speculation control MSRs
    - [x86] Update mitigation for Meltdown (CVE-2017-5754):
      + x86/pti: Do not enable PTI on CPUs which are not vulnerable to Meltdown
      + x86/pti: Mark constant arrays as __initconst
    - [x86] Add support for microcode-based mitigation of Spectre v2
      (CVE-2017-5715):
      + x86/cpufeature: Blacklist SPEC_CTRL/PRED_CMD on early Spectre v2
        microcodes
      + x86/speculation: Add basic IBPB (Indirect Branch Prediction Barrier)
        support
      + x86/cpufeatures: Clean up Spectre v2 related CPUID flags
      + x86/cpuid: Fix up "virtual" IBRS/IBPB/STIBP feature bits on Intel
      + x86/speculation: Use IBRS if available before calling into firmware
      + KVM: nVMX: mark vmcs12 pages dirty on L2 exit
      + KVM: nVMX: Eliminate vmcs02 pool
      + KVM: VMX: introduce alloc_loaded_vmcs
      + KVM: VMX: make MSR bitmaps per-VCPU
      + KVM/x86: Add IBPB support
      + KVM/VMX: Emulate MSR_IA32_ARCH_CAPABILITIES
      + KVM/VMX: Allow direct access to MSR_IA32_SPEC_CTRL
      + KVM/SVM: Allow direct access to MSR_IA32_SPEC_CTRL
      + KVM/x86: Remove indirect MSR op calls from SPEC_CTRL
      + x86/speculation: Move firmware_restrict_branch_speculation_*() from C
        to CPP
      + KVM/VMX: Optimize vmx_vcpu_run() and svm_vcpu_run() by marking the
        RDMSR path as unlikely()
      + x86/speculation: Use Indirect Branch Prediction Barrier in context
        switch
      + x86/speculation: Update Speculation Control microcode blacklist
      + x86/speculation: Correct Speculation Control microcode blacklist again
    - [armhf] spi: sun6i: disable/unprepare clocks on remove
    - media: cpia2: Fix a couple off by one bugs
    - RDMA/iwpm: Fix uninitialized error code in iwpm_send_mapinfo()
    - USB: serial: io_edgeport: fix possible sleep-in-atomic
    - media: bt8xx: Fix err 'bt878_probe()'
    - ath9k_htc: Add a sanity check in ath9k_htc_ampdu_action()
    - RDMA/cma: Use correct size when writing netlink stats
    - pinctrl: Really force states during suspend/resume
    - net/mlx4_core: Cleanup FMR unmapping flow
    - PM / devfreq: Propagate error from devfreq_add_device()
    - scsi: aacraid: Fix udev inquiry race condition
    - pktcdvd: Fix pkt_setup_dev() error path
    - [armhf] spi: imx: do not access registers while clocks disabled
    - [armhf] wl1251: check return from call to wl1251_acx_arp_ip_filter
    - scsi: libsas: fix error when getting phy events
    - scsi: aacraid: remove redundant setting of variable c
    - usb: gadget: f_fs: Fix possibe deadlock
    - usb: f_fs: Prevent gadget unbind if it is already unbound
    - ext4: save error to disk in __ext4_grp_locked_error()
    - drm/radeon: Add dpm quirk for Jet PRO (v2)
    - [x86] gart: Exclude GART aperture from vmcore
    - mtd: nand: Fix nand_do_read_oob() return value
    - crypto: af_alg - whitelist mask and type
    - crypto: hash - introduce crypto_hash_alg_has_setkey()
    - crypto: cryptd - pass through absence of ->setkey()
    - crypto: hash - annotate algorithms taking optional key
    - crypto: hash - prevent using keyed hashes without setting key
    - NFS: Add a cond_resched() to nfs_commit_release_pages()
    - NFS: Fix 2 use after free issues in the I/O code
    - nfs/pnfs: fix nfs_direct_req ref leak when i/o falls back to the mds
    - console/dummy: leave .con_font_get set to NULL
    - IB/mlx4: Fix incorrectly releasing steerable UD QPs when have only ETH
      ports
    - hrtimer: Ensure POSIX compliance (relative CLOCK_REALTIME hrtimers)
    - USB: cdc-acm: Do not log urb submission errors on disconnect
    - uas: Log error codes when logging errors
    - usb: uas: unconditionally bring back host after reset
    - NFS: commit direct writes even if they fail partially
    - ubi: Fix race condition between ubi volume creation and udev
    - mtd: ubi: wl: Fix error return code in ubi_wl_init()
    - nfs: Do not convert nfs_idmap_cache_timeout to jiffies
    - drm/ttm: fix adding foreign BOs to the swap LRU
    - drm/ttm: Don't add swapped BOs to swap-LRU list
    - kernfs: fix regression in kernfs_fop_write caused by wrong type
    - staging: rts5208: Fix "seg_no" calculation in reset_ms_card()
    - NFS: reject request for id_legacy key without auxdata
    - btrfs: Handle btrfs_set_extent_delalloc failure in fixup worker
    - HID: roccat: prevent an out of bounds read in kovaplus_profile_activated()
    - cifs: Fix missing put_xid in cifs_file_strict_mmap
    - cifs: Fix autonegotiate security settings mismatch
    - jffs2: Fix use-after-free bug in jffs2_iget()'s error handling path
    - cifs: fix memory leak when password is supplied multiple times
    - CIFS: zero sensitive data when freeing
    - RDMA/mlx5: Avoid memory leak in case of XRCD dealloc failure
    - media: cxusb, dib0700: ignore XC2028_I2C_FLUSH
    - [x86] vhost_net: stop device during reset owner
    - rbd: whitelist RBD_FEATURE_OPERATIONS feature bit
    - drm/radeon: adjust tested variable
